#pragma once
/**Template abstraction for 2D Forms using inheritance based policies.*/
template <class T>
class Form : private T{
public:
  /**Constructor fixing the length scale. */
  Form(const float scale): m_scale(scale) {
  }
  /** Implemented using the base class. */
  float getArea()const {
    return T::getArea(m_scale);
  }
  /** Common ... */
  float getScale () const {
    return m_scale;
  }
private:
  float m_scale;
};

