#pragma once 
#include <iostream>
#include <vector>

template <int key, int... constants>
class VectorOfConstants
{
public:
  VectorOfConstants(){
    m_vector.reserve(sizeof... (constants));
    int temp[] = {constants...};
    for (int& ii : temp) {
      m_vector.push_back(ii);
    }
  }
  void print() const {
    for (const int& ii : m_vector){
      std::cout << "Number is: " << ii << std::endl;
    }
  }
private:
  std::vector<int> m_vector;
};

